import type { Domain } from "domain";
import type MediaListItem from "../../entities/listitems/MediaListItem";
import type Paged from "../../objects/Paged";

export default interface MediaViewModel {
	media: Paged<MediaListItem>,
	domains: { [key: string]: Domain },

	pageNumber: number
}